﻿namespace VDEngine
{
    /// <summary>
    /// Interface representing every game object.
    /// </summary>
    public interface VDGameObject
    {
        //void Initialize(VDGraphics graphics);

        /// <summary>
        /// Updates the object.
        /// </summary>
        /// <param name="elapsedMilliseconds">Time, in milliseconds, from the last cycle.</param>
        void Update(double elapsedMilliseconds);

        /// <summary>
        /// Draws the object.
        /// </summary>
        void Draw();

        /// <summary>
        /// Releases the resources of the object.
        /// </summary>
        void Shutdown();
    }
}
